# fary
> A light Nodejs middleware lay framework based on Koa2 written in typescript.

## Install 
````
npm i fary
````

## Usage
````js
const createApp = require('fary')

createApp({
  middlewares: [
    async (ctx, next) => {
      ctx.body = 'Hello fary!'
    },
  ]
}, () => {
  // fary server has been started!
})
````
Put a `fary.config.js` in your root of project, the content like:
````js
module.exports = {
  port: 9008,
  proxy: {
    '/api': 'https://github.com',
  },
}
````
## Features
1. request/response log with [koa-logger](https://github.com/koajs/logger)
2. compress with [koa-compress](https://github.com/koajs/compress)
3. pass your middlewares to do whatever you want.
4. http proxy with [koa-better-http-proxy](https://github.com/nsimmons/koa-better-http-proxy)

## Proxy
Assume the proxy config is like abobe and start the server, then make a request `/api/explore`, it will be proxied to `https://github.com/explore`
*Make sure the request can reach downstreamly the proxy middleware(the last one).*
