"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
function default_1() {
    /**
     * error handler
     * @param {Koa.Context} ctx koa ctx
     * @param {Function} next koa next
     */
    return (ctx, next) => __awaiter(this, void 0, void 0, function* () {
        try {
            ctx.set('X-Proxy', 'Fary Server');
            yield next();
        }
        catch (error) {
            ctx.status = 500;
            ctx.body = 'We are sorry. Internal server error occurred.';
            ctx.app.emit('error', error, ctx);
        }
    });
}
exports.default = default_1;
