"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * the module `koa-better-http-proxy` will only extract the hostname and port of given target,
 * so only targets like below are allowed
 * http://192.168.100.100
 * http://192.168.100.100:8000
 * http://example.com
 * http://sub.example.com:9000
 * https://example.com
 */
const REG_PROXY_TARGET = /^https?:\/\/[a-z0-9-]+(?:\.[a-z0-9-]+)+(?::[0-9]+)?$/i;
function default_1(proxyConfig) {
    for (const prefix of Object.keys(proxyConfig)) {
        const target = proxyConfig[prefix];
        if (!REG_PROXY_TARGET.test(proxyConfig[prefix])) {
            throw Error(`The proxy config '${prefix}' => '${target}' is illegal. Target should not end with any pathname!`);
        }
    }
    return true;
}
exports.default = default_1;
